# ../addons/eventscripts/gungame/scripts/custom/gg_multi_level_remover/gg_multi_level_remover.py

# ============================================================================
# >> IMPORTS
# ============================================================================
# Eventscripts Imports
import es
import cmdlib

# GunGame Imports
from gungame51.core.addons.shortcuts import AddonInfo
from gungame51.scripts.included.gg_multi_level.gg_multi_level import stop_multi_levelers

# ============================================================================
# >> ADDON REGISTRATION/INFORMATION
# ============================================================================
info = AddonInfo()
info.name = "gg_multi_level_remover"
info.title = "GG Multi Level Remover"
info.author = "Warren Alpert"
info.version = "0.1"

# ============================================================================
# >> LOAD & UNLOAD
# ============================================================================
def load():
    cmdlib.registerServerCommand('stop_multi_levelers', stop_multi_level_cmd, "End gg_multi_level bonuses for all players.")
    es.dbgmsg(0, "Loaded: %s" % info.name)

def unload():
    cmdlib.unregisterServerCommand('stop_multi_levelers')
    es.dbgmsg(0, "Unloaded: %s" % info.name)

# ============================================================================
# >> GAME EVENTS
# ============================================================================
def stop_multi_level_cmd(args):
    stop_multi_levelers()